Package org.apache.sling.starter.access.models

# Class AceUtils

java.lang.Object
org.apache.sling.starter.access.models.AceUtils

public class AceUtils extends Object
Utility for helping to sort and order privileges by their longest aggregate depth

## Method Summary

Modifier and Type
Method
Description
`static Map<javax.jcr.security.Privilege,String>`
`getPrivilegeLongestPathMap(javax.jcr.Session jcrSession)`
Calculate the longest path for each of the possible privileges

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPrivilegeLongestPathMap

public static Map<javax.jcr.security.Privilege,String> getPrivilegeLongestPathMap(javax.jcr.Session jcrSession) throws javax.jcr.RepositoryException
Calculate the longest path for each of the possible privileges

Parameters:
  `jcrSession` - the current users JCR session
Returns:
  map where the key is the privilege and the value is the longest path
Throws:
  `javax.jcr.RepositoryException`